import Stripe from "stripe";
import { SelectedPricing, Product, PricingFilter, UseProductsOptions } from "../types";
interface ReturnProps {
    loading: boolean;
    products: Product[];
    pricingFilter: PricingFilter;
    activeSubscriptions: Stripe.Subscription[];
}
declare const _default: (productIds: string[], options?: UseProductsOptions) => ReturnProps;
export default _default;
export declare const getSelectedPricing: ({ dispatch, product, pricingFilter, setProducts, quantity, options, user }: {
    dispatch: (any: any) => void;
    product: Product;
    pricingFilter: PricingFilter;
    setProducts: (any: any) => void;
    quantity?: number;
    options?: UseProductsOptions;
    user?: any;
}) => SelectedPricing;
