import { Price } from "../";
import { IntervalType, NormalizedIntervalType, Currency } from "../types";
import Stripe from "stripe";
export declare const getCurrency: (currencyCodes: any) => any;
export declare const normalizePrice: ({ price, normalizedInterval, interval, interval_count }: {
    price: number;
    normalizedInterval: NormalizedIntervalType | null;
    interval: IntervalType | null;
    interval_count: number;
}) => number;
export declare const getPrice: ({ price, currencyCode, interval, interval_count, normalizedInterval }: {
    price: any;
    currencyCode?: string;
    interval?: any;
    interval_count?: number;
    normalizedInterval?: any;
}) => {
    billedPrice: string;
    currency: any;
    priceInteger: number;
    priceFormatted: string;
    priceDecimal: number;
    price: string;
};
export declare const getInterval: (props: any) => any;
export declare const getDate: (timestamp: any) => string;
export declare const getDaysUntil: (timestamp: any) => string;
export declare const computeReduction: (total: number, coupon: Stripe.Coupon | null | undefined, currency: Currency) => number;
export declare const computePricing: ({ price: { billing_scheme, transform_quantity, unit_amount, tiers_mode, tiers }, quantity }: {
    price: Price;
    quantity?: number;
}) => number;
